
/*=================================================================================
FILE:       GL.c

SERVICES:   OpenGL-ES 3D graphics interfaces
            EGL windowing interfaces

DESCRIPTION:


        Copyright (c) 2003 QUALCOMM Incorporated.
               All Rights Reserved.
            QUALCOMM Proprietary/GTDR
=================================================================================*/
////
////
////   DO NOT EDIT THIS FILE
////
////


/*-------------------------------------------------------------------------------*
 *                      I N C L U D E   F I L E S                                *
 *-------------------------------------------------------------------------------*/
#include "AEEGL.h"


/*-------------------------------------------------------------------------------*
 *                            G L O B A L S                                      *
 *-------------------------------------------------------------------------------*/
#if defined(__ARMCC_VERSION) && !defined(AEE_STATIC)
IGL *const gpIGL;
#define GPIGL (*(IGL**)&gpIGL)
IEGL *const gpIEGL;
#define GPIEGL (*(IEGL**)&gpIEGL)
#else
IGL *gpIGL;
#define GPIGL (gpIGL)
IEGL *gpIEGL;
#define GPIEGL (gpIEGL)
#endif


/*-------------------------------------------------------------------------------*
 *                      I N I T  F U N C T I O N S                               *
 *-------------------------------------------------------------------------------*/
void IGL_Init(IGL *pIGL)
{
   GPIGL = pIGL;
}

void IEGL_Init(IEGL *pIEGL)
{
   GPIEGL = pIEGL;
}


/*-------------------------------------------------------------------------------*
 *                     GL  FUNCTIONS                                             *
 *-------------------------------------------------------------------------------*/

GL_API void GL_APIENTRY glActiveTexture(GLenum texture)
{
   IGL_glActiveTexture(GPIGL,texture);
}

GL_API void GL_APIENTRY glAlphaFuncx(GLenum func, GLclampx ref)
{
   IGL_glAlphaFuncx(GPIGL,func,ref);
}

GL_API void GL_APIENTRY glBindTexture(GLenum target, GLuint texture)
{
   IGL_glBindTexture(GPIGL,target, texture);
}

GL_API void GL_APIENTRY glBlendFunc(GLenum sfactor, GLenum dfactor)
{
   IGL_glBlendFunc(GPIGL,sfactor, dfactor);
}

GL_API void GL_APIENTRY glClear(GLbitfield mask)
{
   IGL_glClear(GPIGL,mask);
}


GL_API void GL_APIENTRY glClearColorx(GLclampx red, GLclampx green, GLclampx blue, GLclampx alpha)
{
   IGL_glClearColorx(GPIGL,red,green,blue,alpha);
}

GL_API void GL_APIENTRY glClearDepthx(GLclampx depth)
{
   IGL_glClearDepthx(GPIGL,depth);
}

GL_API void GL_APIENTRY glClearStencil(GLint s)
{
   IGL_glClearStencil(GPIGL,s);
}

GL_API void GL_APIENTRY glClientActiveTexture(GLenum texture)
{
   IGL_glClientActiveTexture(GPIGL,texture);
}

GL_API void GL_APIENTRY glColor4x(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
   IGL_glColor4x(GPIGL,red,green,blue,alpha);
}

GL_API void GL_APIENTRY glColorMask(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)
{
   IGL_glColorMask(GPIGL,red,green,blue,alpha);
}

GL_API void GL_APIENTRY glColorPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
{
   IGL_glColorPointer(GPIGL,size, type, stride, pointer);
}

GL_API void GL_APIENTRY glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *data)
{;
   IGL_glCompressedTexImage2D(GPIGL,target, level, internalformat, width, height,  border, imageSize, data);
}

GL_API void GL_APIENTRY glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data)
{
   IGL_glCompressedTexSubImage2D(GPIGL,target, level, xoffset, yoffset, width, height, format, imageSize, data);
}

GL_API void GL_APIENTRY glCopyTexImage2D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
{
   IGL_glCopyTexImage2D(GPIGL,target, level, internalformat, x, y, width, height, border);
}

GL_API void GL_APIENTRY glCopyTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
   IGL_glCopyTexSubImage2D(GPIGL, target, level, xoffset, yoffset, x, y, width, height);
}

GL_API void GL_APIENTRY glCullFace(GLenum mode)
{
   IGL_glCullFace(GPIGL,mode);
}

GL_API void GL_APIENTRY glDeleteTextures(GLsizei n, const GLuint *textures)
{
   IGL_glDeleteTextures(GPIGL,n, textures);
}

GL_API void GL_APIENTRY glDepthFunc(GLenum func)
{
   IGL_glDepthFunc(GPIGL,func);
}

GL_API void GL_APIENTRY glDepthMask(GLboolean flag)
{
   IGL_glDepthMask(GPIGL,flag);
}

GL_API void GL_APIENTRY glDepthRangex(GLclampx zNear, GLclampx zFar)
{
   IGL_glDepthRangex(GPIGL,zNear, zFar);
}

GL_API void GL_APIENTRY glDisable(GLenum cap)
{
   IGL_glDisable(GPIGL,cap);
}

GL_API void GL_APIENTRY glDisableClientState(GLenum array)
{
   IGL_glDisableClientState(GPIGL,array);
}

GL_API void GL_APIENTRY glDrawArrays(GLenum mode, GLint first, GLsizei count)
{
   IGL_glDrawArrays(GPIGL,mode,first,count);
}

GL_API void GL_APIENTRY glDrawElements(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices)
{
   IGL_glDrawElements(GPIGL,mode, count, type, indices);
}

GL_API void GL_APIENTRY glEnable(GLenum cap)
{
   IGL_glEnable(GPIGL,cap);
}

GL_API void GL_APIENTRY glEnableClientState(GLenum array)
{
   IGL_glEnableClientState(GPIGL,array);
}

GL_API void GL_APIENTRY glFinish(void)
{
   IGL_glFinish(GPIGL);
}

GL_API void GL_APIENTRY glFlush(void)
{
   IGL_glFlush(GPIGL);
}

GL_API void GL_APIENTRY glFogx(GLenum pname, GLfixed param)
{
   IGL_glFogx(GPIGL,pname,param);
}

GL_API void GL_APIENTRY glFogxv(GLenum pname, const GLfixed *params)
{
   IGL_glFogxv(GPIGL,pname,params);
}

GL_API void GL_APIENTRY glFrontFace(GLenum mode)
{
   IGL_glFrontFace(GPIGL,mode);
}

GL_API void GL_APIENTRY glFrustumx(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar)
{
   IGL_glFrustumx(GPIGL,left, right, bottom, top, zNear, zFar);
}

GL_API void GL_APIENTRY glGenTextures(GLsizei n, GLuint *textures)
{
   IGL_glGenTextures(GPIGL,n,textures);
}

GL_API GLenum GL_APIENTRY glGetError(void)
{
   return( IGL_glGetError(GPIGL) );
}

GL_API void GL_APIENTRY glGetIntegerv(GLenum pname, GLint *params)
{
   IGL_glGetIntegerv(GPIGL,pname,params);
}

GL_API const GLubyte * GL_APIENTRY glGetString(GLenum name)
{
   return(IGL_glGetString(GPIGL,name));
}

GL_API void GL_APIENTRY glHint(GLenum target, GLenum mode)
{
   IGL_glHint(GPIGL,target,mode);
}

GL_API void GL_APIENTRY glLightModelx(GLenum pname, GLfixed param)
{
   IGL_glLightModelx(GPIGL,pname,param);
}

GL_API void GL_APIENTRY glLightModelxv(GLenum pname, const GLfixed *params)
{
   IGL_glLightModelxv(GPIGL,pname,params);
}

GL_API void GL_APIENTRY glLightx(GLenum light, GLenum pname, GLfixed param)
{
   IGL_glLightx(GPIGL,light,pname,param);
}

GL_API void GL_APIENTRY glLightxv(GLenum light, GLenum pname, const GLfixed *params)
{
   IGL_glLightxv(GPIGL,light,pname,params);
}


GL_API void GL_APIENTRY glLineWidthx(GLfixed width)
{
   IGL_glLineWidthx(GPIGL,width);
}

GL_API void GL_APIENTRY glLoadIdentity(void)
{
   IGL_glLoadIdentity(GPIGL);
}

GL_API void GL_APIENTRY glLoadMatrixx(const GLfixed *m)
{
   IGL_glLoadMatrixx(GPIGL,m);
}

GL_API void GL_APIENTRY glLogicOp(GLenum opcode)
{
   IGL_glLogicOp(GPIGL,opcode);
}

GL_API void GL_APIENTRY glMaterialx(GLenum face, GLenum pname, GLfixed param)
{
   IGL_glMaterialx(GPIGL,face,pname,param);
}

GL_API void GL_APIENTRY glMaterialxv(GLenum face, GLenum pname, const GLfixed *params)
{
   IGL_glMaterialxv(GPIGL,face,pname,params);
}

GL_API void GL_APIENTRY glMatrixMode(GLenum mode)
{
   IGL_glMatrixMode(GPIGL,mode);
}

GL_API void GL_APIENTRY glMultMatrixx(const GLfixed *m)
{
   IGL_glMultMatrixx(GPIGL,m);
}

GL_API void GL_APIENTRY glMultiTexCoord4x(GLenum target, GLfixed s, GLfixed t, GLfixed r, GLfixed q)
{
   IGL_glMultiTexCoord4x(GPIGL,target, s,  t,  r,  q);
}

GL_API void GL_APIENTRY glNormal3x(GLfixed nx, GLfixed ny, GLfixed nz)
{
   IGL_glNormal3x(GPIGL,nx,ny,nz);
}

GL_API void GL_APIENTRY glNormalPointer(GLenum type, GLsizei stride, const GLvoid *pointer)
{
   IGL_glNormalPointer(GPIGL,type,stride,pointer);
}

GL_API void GL_APIENTRY glOrthox(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar)
{
   IGL_glOrthox(GPIGL,left,right,bottom,top,zNear,zFar);
}
GL_API void GL_APIENTRY glPixelStorei(GLenum pname, GLint param)
{
   IGL_glPixelStorei(GPIGL,pname,param);
}


GL_API void GL_APIENTRY glPointSizex(GLfixed size)
{
   IGL_glPointSizex(GPIGL,size);
}



GL_API void GL_APIENTRY glPolygonOffsetx(GLfixed factor, GLfixed units)
{
   IGL_glPolygonOffsetx(GPIGL,factor,units);
}

GL_API void GL_APIENTRY glPopMatrix(void)
{
   IGL_glPopMatrix(GPIGL);
}

GL_API void GL_APIENTRY glPushMatrix(void)
{
   IGL_glPushMatrix(GPIGL);
}

GL_API void GL_APIENTRY glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid *pixels)
{
   IGL_glReadPixels(GPIGL,x,y,width,height,format,type,pixels);
}

GL_API void GL_APIENTRY glRotatex(GLfixed angle, GLfixed x, GLfixed y, GLfixed z)
{
   IGL_glRotatex(GPIGL,angle, x, y, z);
}

GL_API void GL_APIENTRY glSampleCoveragex(GLclampx value, GLboolean invert)
{
   IGL_glSampleCoveragex(GPIGL,value,invert);
}


GL_API void GL_APIENTRY glScalex(GLfixed x, GLfixed y, GLfixed z)
{
   IGL_glScalex(GPIGL,x,y,z);
}

GL_API void GL_APIENTRY glScissor(GLint x, GLint y, GLsizei width, GLsizei height)
{
   IGL_glScissor(GPIGL,x,y,width,height);
}

GL_API void GL_APIENTRY glShadeModel(GLenum mode)
{
   IGL_glShadeModel(GPIGL,mode);
}

GL_API void GL_APIENTRY glStencilFunc(GLenum func, GLint ref, GLuint mask)
{
   IGL_glStencilFunc(GPIGL,func, ref, mask);
}

GL_API void GL_APIENTRY glStencilMask(GLuint mask)
{
   IGL_glStencilMask(GPIGL,mask);
}

GL_API void GL_APIENTRY glStencilOp(GLenum fail, GLenum zfail, GLenum zpass)
{
   IGL_glStencilOp(GPIGL,fail,zfail,zpass);
}

GL_API void GL_APIENTRY glTexCoordPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
{
   IGL_glTexCoordPointer(GPIGL,size,type,stride,pointer);
}

GL_API void GL_APIENTRY glTexEnvx(GLenum target, GLenum pname, GLfixed param)
{
   IGL_glTexEnvx(GPIGL,target,pname,param);
}

GL_API void GL_APIENTRY glTexEnvxv(GLenum target, GLenum pname, const GLfixed *params)
{
   IGL_glTexEnvxv(GPIGL,target,pname,params);
}

GL_API void GL_APIENTRY glTexImage2D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
{
   IGL_glTexImage2D(GPIGL,target,level,internalformat,width,height,border,format,type,pixels);
}

GL_API void GL_APIENTRY glTexParameterx(GLenum target, GLenum pname, GLfixed param)
{
   IGL_glTexParameterx(GPIGL,target,pname,param);
}

GL_API void GL_APIENTRY glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
{
   IGL_glTexSubImage2D(GPIGL,target, level, xoffset, yoffset, width, height, format, type, pixels);
}

GL_API void GL_APIENTRY glTranslatex(GLfixed x, GLfixed y, GLfixed z)
{
   IGL_glTranslatex(GPIGL,x, y, z);
}

GL_API void GL_APIENTRY glVertexPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
{
   IGL_glVertexPointer(GPIGL,size, type, stride, pointer);
}

GL_API void GL_APIENTRY glViewport(GLint x, GLint y, GLsizei width, GLsizei height)
{
   IGL_glViewport(GPIGL,x, y, width, height);
}



/***************************************
          E G L   FUNCTIONS

****************************************/

GL_API EGLint GL_APIENTRY eglGetError (void)
{
   return(IEGL_eglGetError(GPIEGL));
}

GL_API EGLDisplay GL_APIENTRY eglGetDisplay (NativeDisplayType display)
{
   return(IEGL_eglGetDisplay(GPIEGL,display));
}

GL_API EGLBoolean GL_APIENTRY eglInitialize (EGLDisplay dpy, EGLint *major, EGLint *minor)
{
   return(IEGL_eglInitialize(GPIEGL,dpy,major,minor));
}

GL_API EGLBoolean GL_APIENTRY eglTerminate (EGLDisplay dpy)
{
   return(IEGL_eglTerminate(GPIEGL,dpy));
}

GL_API const char * GL_APIENTRY eglQueryString (EGLDisplay dpy, EGLint name)
{
   return(IEGL_eglQueryString(GPIEGL,dpy,name));
}

GL_API void (* GL_APIENTRY eglGetProcAddress (const char *procname))()
{
   return(IEGL_eglGetProcAddress(GPIEGL,procname));
}

GL_API EGLBoolean GL_APIENTRY eglGetConfigs (EGLDisplay dpy, EGLConfig *configs, EGLint config_size, EGLint *num_config)
{
   return(IEGL_eglGetConfigs(GPIEGL,dpy, configs, config_size, num_config));
}

GL_API EGLBoolean GL_APIENTRY eglChooseConfig(EGLDisplay dpy, const EGLint *attrib_list, EGLConfig *configs, EGLint config_size, EGLint *num_config)
{
   return(IEGL_eglChooseConfig(GPIEGL,dpy, attrib_list, configs, config_size, num_config));
}

GL_API EGLBoolean GL_APIENTRY eglGetConfigAttrib(EGLDisplay dpy, EGLConfig config, EGLint attribute, EGLint *value)
{
   return(IEGL_eglGetConfigAttrib(GPIEGL,dpy, config, attribute, value));
}

GL_API EGLSurface GL_APIENTRY eglCreateWindowSurface (EGLDisplay dpy, EGLConfig config, NativeWindowType window, const EGLint *attrib_list)
{
   return(IEGL_eglCreateWindowSurface(GPIEGL,dpy, config, window, attrib_list));
}

GL_API EGLSurface GL_APIENTRY eglCreatePixmapSurface (EGLDisplay dpy, EGLConfig config, NativePixmapType pixmap, const EGLint *attrib_list)
{
   return(IEGL_eglCreatePixmapSurface(GPIEGL,dpy, config,  pixmap, attrib_list));
}

GL_API EGLSurface GL_APIENTRY eglCreatePbufferSurface(EGLDisplay dpy, EGLConfig config, const EGLint *attrib_list)
{
   return(IEGL_eglCreatePbufferSurface(GPIEGL,dpy, config, attrib_list));
}

GL_API EGLBoolean GL_APIENTRY eglDestroySurface (EGLDisplay dpy, EGLSurface surface)
{
   return(IEGL_eglDestroySurface (GPIEGL,dpy, surface));
}

GL_API EGLBoolean GL_APIENTRY eglQuerySurface (EGLDisplay dpy, EGLSurface surface, EGLint attribute, EGLint *value)
{
   return(IEGL_eglQuerySurface(GPIEGL,dpy,surface,attribute,value));
}

GL_API EGLContext GL_APIENTRY eglCreateContext(EGLDisplay dpy, EGLConfig config, EGLContext share_list, const EGLint *attrib_list)
{
   return(IEGL_eglCreateContext(GPIEGL,dpy,config,share_list,attrib_list));
}

GL_API EGLBoolean GL_APIENTRY eglDestroyContext(EGLDisplay dpy, EGLContext ctx)
{
   return(IEGL_eglDestroyContext(GPIEGL,dpy,ctx));
}

GL_API EGLBoolean GL_APIENTRY eglMakeCurrent(EGLDisplay dpy, EGLSurface draw, EGLSurface read, EGLContext ctx)
{
   return(IEGL_eglMakeCurrent(GPIEGL,dpy,draw,read,ctx));
}

GL_API EGLContext GL_APIENTRY eglGetCurrentContext(void)
{
   return(IEGL_eglGetCurrentContext(GPIEGL));
}

GL_API EGLSurface GL_APIENTRY eglGetCurrentSurface(EGLint readdraw)
{
   return(IEGL_eglGetCurrentSurface(GPIEGL,readdraw));
}

GL_API EGLDisplay GL_APIENTRY eglGetCurrentDisplay(void)
{
   return(IEGL_eglGetCurrentDisplay(GPIEGL));
}

GL_API EGLBoolean GL_APIENTRY eglQueryContext(EGLDisplay dpy, EGLContext ctx, EGLint attribute, EGLint *value)
{
   return(IEGL_eglQueryContext(GPIEGL,dpy,ctx,attribute,value));
}

GL_API EGLBoolean GL_APIENTRY eglWaitGL (void)
{
   return(IEGL_eglWaitGL(GPIEGL));
}

GL_API EGLBoolean GL_APIENTRY eglWaitNative(EGLint engine)
{
   return(IEGL_eglWaitNative(GPIEGL,engine));
}

GL_API EGLBoolean GL_APIENTRY eglSwapBuffers (EGLDisplay dpy, EGLSurface draw)
{
   return(IEGL_eglSwapBuffers(GPIEGL,dpy, draw));
}

GL_API EGLBoolean GL_APIENTRY eglCopyBuffers (EGLDisplay dpy, EGLSurface surface, NativePixmapType target)
{
   return(IEGL_eglCopyBuffers(GPIEGL,dpy, surface, target));
}

GL_API EGLDisplay GL_APIENTRY _eglGetDisplay (void *display)
{
   return(IEGL_eglGetDisplay(GPIEGL,display));
}

GL_API EGLSurface GL_APIENTRY _eglCreateWindowSurface (EGLDisplay dpy, EGLConfig config, void *window, const EGLint *attrib_list)
{
   return(IEGL_eglCreateWindowSurface(GPIEGL,dpy, config, window, attrib_list));
}


GL_API EGLSurface GL_APIENTRY _eglCreatePixmapSurface(EGLDisplay dpy, EGLConfig config, void *pixmap, const EGLint *attrib_list)
{
   return(IEGL_eglCreatePixmapSurface(GPIEGL,dpy, config, pixmap, attrib_list));
}

GL_API EGLBoolean GL_APIENTRY _eglCopyBuffers(EGLDisplay dpy, EGLSurface surface, void *target)
{
   return(IEGL_eglCopyBuffers(GPIEGL,dpy, surface, target));
}


/*-------------------------------------------------------------------------------*
 *                     GLES COMMON FUNCTIONS FOR ATI COMPATIBILITY               *
 *-------------------------------------------------------------------------------*/
#ifdef OGLES_USE_COMMON_PROFILE
GL_API void   GL_APIENTRY glAlphaFunc(GLenum func, GLclampf ref)
{
   IGL_glAlphaFunc(GPIGL, func,  ref);
}

GL_API void   GL_APIENTRY glClearColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)
{
   IGL_glClearColor(GPIGL, red,  green,  blue,  alpha);
}

GL_API void   GL_APIENTRY glClearDepthf(GLclampf depth)
{
   IGL_glClearDepthf(GPIGL, depth);
}

GL_API void   GL_APIENTRY glColor4f(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
   IGL_glColor4f(GPIGL, red,  green,  blue,  alpha);
}

GL_API void   GL_APIENTRY glDepthRangef(GLclampf zNear, GLclampf zFar)
{
   IGL_glDepthRangef(GPIGL, zNear,  zFar);
}

GL_API void   GL_APIENTRY glFogf(GLenum pname, GLfloat param)
{
   IGL_glFogf(GPIGL, pname,  param);
}

GL_API void   GL_APIENTRY glFogfv(GLenum pname, const GLfloat *params)
{
   IGL_glFogfv(GPIGL, pname, params);
}

GL_API void   GL_APIENTRY glFrustumf(GLfloat left, GLfloat right, GLfloat bottom, GLfloat top, GLfloat zNear, GLfloat zFar)
{
   IGL_glFrustumf(GPIGL, left,  right,  bottom,  top,  zNear,  zFar);
}

GL_API void   GL_APIENTRY glLightf(GLenum light, GLenum pname, GLfloat param)
{
   IGL_glLightf(GPIGL, light,  pname,  param);
}

GL_API void   GL_APIENTRY glLightfv(GLenum light, GLenum pname, const GLfloat *params)
{
   IGL_glLightfv(GPIGL, light,  pname, params);
}

GL_API void   GL_APIENTRY glLightModelf(GLenum pname, GLfloat param)
{
   IGL_glLightModelf(GPIGL, pname,  param);
}

GL_API void   GL_APIENTRY glLightModelfv(GLenum pname, const GLfloat *params)
{
   IGL_glLightModelfv(GPIGL, pname, params);
}
GL_API void   GL_APIENTRY glLineWidth(GLfloat width)
{
   IGL_glLineWidth(GPIGL, width);
}

GL_API void   GL_APIENTRY glLoadMatrixf(const GLfloat *m)
{
   IGL_glLoadMatrixf(GPIGL,m);
}

GL_API void   GL_APIENTRY glMaterialf(GLenum face, GLenum pname, GLfloat param)
{
   IGL_glMaterialf(GPIGL, face,  pname,  param);
}
GL_API void   GL_APIENTRY glMaterialfv(GLenum face, GLenum pname, const GLfloat *params)
{
   IGL_glMaterialfv(GPIGL, face,  pname, params);
}

GL_API void   GL_APIENTRY glMultiTexCoord4f(GLenum texture, GLfloat s, GLfloat t, GLfloat r, GLfloat q)
{
   IGL_glMultiTexCoord4f(GPIGL, texture,  s,  t,  r,  q);
}

GL_API void   GL_APIENTRY glMultMatrixf(const GLfloat *m)
{
   IGL_glMultMatrixf(GPIGL,m);
}
GL_API void   GL_APIENTRY glNormal3f(GLfloat nx, GLfloat ny, GLfloat nz)
{
   IGL_glNormal3f(GPIGL, nx,  ny,  nz);
}

GL_API void   GL_APIENTRY glOrthof(GLfloat left, GLfloat right, GLfloat bottom, GLfloat top, GLfloat zNear, GLfloat zFar)
{
   IGL_glOrthof(GPIGL, left,  right,  bottom,  top,  zNear,  zFar);
}

GL_API void   GL_APIENTRY glPointSize(GLfloat size)
{
   IGL_glPointSize(GPIGL, size);
}

GL_API void   GL_APIENTRY glPolygonOffset(GLfloat factor, GLfloat units)
{
   IGL_glPolygonOffset(GPIGL, factor,  units);
}

GL_API void   GL_APIENTRY glRotatef(GLfloat angle, GLfloat x, GLfloat y, GLfloat z)
{
   IGL_glRotatef(GPIGL, angle,  x,  y,  z);
}

GL_API void   GL_APIENTRY glSampleCoverage(GLclampf value, GLboolean invert)
{
   IGL_glSampleCoverage(GPIGL, value, invert);
}

GL_API void   GL_APIENTRY glScalef(GLfloat x, GLfloat y, GLfloat z)
{
   IGL_glScalef(GPIGL, x,  y,  z);
}

GL_API void   GL_APIENTRY glTexEnvf(GLenum target, GLenum pname, GLfloat param)
{
   IGL_glTexEnvf(GPIGL, target,  pname,  param);
}

GL_API void   GL_APIENTRY glTexEnvfv(GLenum target, GLenum pname, const GLfloat *params)
{
   IGL_glTexEnvfv(GPIGL, target,  pname, params);
}

GL_API void   GL_APIENTRY glTexParameterf(GLenum target, GLenum pname, GLfloat param)
{
   IGL_glTexParameterf(GPIGL, target,  pname,  param);
}

GL_API void   GL_APIENTRY glTranslatef (GLfloat x, GLfloat y, GLfloat z)
{
   IGL_glTranslatef (GPIGL, x,  y,  z);
}

/* functions defined by ATI not in the Khronos spec: ONLY SUPPORTED ON ATI HARDWARE */
GL_API void   GL_APIENTRY glTexParameterfv(GLenum target, GLenum pname, const GLfloat *params)
{
   IGL_glTexParameterfv(GPIGL, target,  pname, params);
}

GL_API void   GL_APIENTRY glTexParameterxv(GLenum target, GLenum pname, const GLfixed *params)
{
   IGL_glTexParameterxv(GPIGL, target, pname, params);
}
#endif

